View Issue Details

IDProjectCategoryView StatusLast Update
13587Bug reports[All Projects] Pluginspublic2018-06-17 00:19
Reporterjosep Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.6.x 
Summary13587: Calendar with min and max date always show error message
Description

When user selects a valid date from calendar plugin and question have minimum and maximun date, error message "Answer must be between 17/08/2018 and 27/08/2018" is always showed.

Otherwise, survey can be submited.

Thank's in advance for your good work.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.4+180320
I will donate to the project if issue is resolvedNo
BrowserFirefox ESR 52.7.2 (64 bits
Database & DB-Versionpostgresql-9.6 9.6.6-0+deb9u1
Server OS (if known)GNU Linux Debian 9.3
Webserver software & version (if known)apache2 2.4.25-3+deb9u3
PHP Versionphp7.0 7.0.27-0+deb9u1

Activities

josep

josep

2018-04-10 12:00

reporter  

limesurvey_survey_797158.lss (12,779 bytes)
DenisChenu

DenisChenu

2018-04-10 14:44

developer   ~47384

Screenshot ? Because :

  • invalid show as red
  • valid show as green or blue
josep

josep

2018-04-10 15:07

reporter  

c_schmitz

c_schmitz

2018-04-10 15:18

administrator   ~47386

I can reproduce: Once a valid date was selected the hint text should go to non-alert color, currently it stays on red.

c_schmitz

c_schmitz

2018-04-10 15:18

administrator   ~47387

Denis, can you have a look at this, please?

DenisChenu

DenisChenu

2018-04-10 15:34

developer   ~47388

If it's EM : yes, maybe some javascript at bad place. You test with last git ?

DenisChenu

DenisChenu

2018-04-10 18:11

developer   ~47390

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26964

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47846

Version 3.8.1+180524 released

gagarine

gagarine

2018-06-17 00:11

reporter   ~48194

Still a problem when dropdown is used instead of calendar.

gagarine

gagarine

2018-06-17 00:19

reporter   ~48195

I opened 13785 as I can re-open issue.

Related Changesets

LimeSurvey: master 62f7bf36

2018-04-10 18:10:58

DenisChenu

Details Diff
Fixed issue 13587: Date control show always as error
Dev: readded id='dateformat{{name}}'
Dev: double attribute for button
Affected Issues
13587
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/date/selector/answer.twig Diff File
mod - assets/scripts/expressions/em_javascript.js Diff File
mod - themes/survey/vanilla/views/subviews/navigation/navigator.twig Diff File

Issue History

Date Modified Username Field Change
2018-04-10 12:00 josep New Issue
2018-04-10 12:00 josep File Added: limesurvey_survey_797158.lss
2018-04-10 14:44 DenisChenu Note Added: 47384
2018-04-10 15:07 josep File Added: Screenshot_20180410_150652.png
2018-04-10 15:18 c_schmitz Note Added: 47386
2018-04-10 15:18 c_schmitz Assigned To => LouisGac
2018-04-10 15:18 c_schmitz Status new => assigned
2018-04-10 15:18 c_schmitz Assigned To LouisGac => DenisChenu
2018-04-10 15:18 c_schmitz Note Added: 47387
2018-04-10 15:34 DenisChenu Note Added: 47388
2018-04-10 18:11 DenisChenu Changeset attached => LimeSurvey master 62f7bf36
2018-04-10 18:11 DenisChenu Note Added: 47390
2018-04-10 18:11 DenisChenu Resolution open => fixed
2018-04-10 18:35 DenisChenu Status assigned => resolved
2018-04-10 18:35 DenisChenu Fixed in Version => 3.6.x
2018-05-25 11:30 c_schmitz Note Added: 47846
2018-05-25 11:30 c_schmitz Status resolved => closed
2018-06-17 00:11 gagarine Note Added: 48194
2018-06-17 00:18 gagarine Issue cloned: 13785
2018-06-17 00:19 gagarine Note Added: 48195